LaneBlog

蝼蚁虽小,也有梦想

PHP Socket服务 | PHP微信开发框架 | 开源博客

Fedora20安装VirtualBox_Fedora20_VirtualBox

Clicks: 3067 Date: 2014-03-10 09:08:33 Power By 李轩Lane

    

由于我的Ubuntu实在用这不爽,作为Linux新手我完全不能应对Ubuntu的各种报错,比如今天图形界面的关机按钮没有了,明天图形界面的时间没有了,后天图形界面的输入法不显示了。之前用过几天的Fedora,感觉界面比较炫。 在Fedora 20 安装VirtualBox的时候发生了些小意外。 第一步、下载Vbox。上官网,下对应自己系统的版本。

sudo rpm -i VirtualBox-4.3-4.3.8_92456_fedora18-1.i686.rpm
然后。让我头疼的事情来了。
警告:VirtualBox-4.3-4.3.8_92456_fedora18-1.i686.rpm: 头V4 DSA/SHA1 Signature, 密钥 ID 98ab5139: NOKEY
错误:依赖检测失败:
	libGL.so.1 被 VirtualBox-4.3-4.3.8_92456_fedora18-1.i686 需要
	libQtCore.so.4 被 VirtualBox-4.3-4.3.8_92456_fedora18-1.i686 需要
	libQtGui.so.4 被 VirtualBox-4.3-4.3.8_92456_fedora18-1.i686 需要
	libQtNetwork.so.4 被 VirtualBox-4.3-4.3.8_92456_fedora18-1.i686 需要
	libQtOpenGL.so.4 被 VirtualBox-4.3-4.3.8_92456_fedora18-1.i686 需要
	libSDL-1.2.so.0 被 VirtualBox-4.3-4.3.8_92456_fedora18-1.i686 需要
	libX11.so.6 被 VirtualBox-4.3-4.3.8_92456_fedora18-1.i686 需要
	libXcursor.so.1 被 VirtualBox-4.3-4.3.8_92456_fedora18-1.i686 需要
	libXext.so.6 被 VirtualBox-4.3-4.3.8_92456_fedora18-1.i686 需要
	libXinerama.so.1 被 VirtualBox-4.3-4.3.8_92456_fedora18-1.i686 需要
	libXmu.so.6 被 VirtualBox-4.3-4.3.8_92456_fedora18-1.i686 需要
	libXt.so.6 被 VirtualBox-4.3-4.3.8_92456_fedora18-1.i686 需要
	libasound.so.2 被 VirtualBox-4.3-4.3.8_92456_fedora18-1.i686 需要
	libc.so.6 被 VirtualBox-4.3-4.3.8_92456_fedora18-1.i686 需要
	libc.so.6(GLIBC_2.0) 被 VirtualBox-4.3-4.3.8_92456_fedora18-1.i686 需要
	libc.so.6(GLIBC_2.1) 被 VirtualBox-4.3-4.3.8_92456_fedora18-1.i686 需要
	libc.so.6(GLIBC_2.1.1) 被 VirtualBox-4.3-4.3.8_92456_fedora18-1.i686 需要
	libc.so.6(GLIBC_2.1.2) 被 VirtualBox-4.3-4.3.8_92456_fedora18-1.i686 需要
	libc.so.6(GLIBC_2.1.3) 被 VirtualBox-4.3-4.3.8_92456_fedora18-1.i686 需要
	libc.so.6(GLIBC_2.15) 被 VirtualBox-4.3-4.3.8_92456_fedora18-1.i686 需要
	libc.so.6(GLIBC_2.2) 被 VirtualBox-4.3-4.3.8_92456_fedora18-1.i686 需要
	libc.so.6(GLIBC_2.2.3) 被 VirtualBox-4.3-4.3.8_92456_fedora18-1.i686 需要
	libc.so.6(GLIBC_2.3) 被 VirtualBox-4.3-4.3.8_92456_fedora18-1.i686 需要
	libc.so.6(GLIBC_2.3.2) 被 VirtualBox-4.3-4.3.8_92456_fedora18-1.i686 需要
	libc.so.6(GLIBC_2.4) 被 VirtualBox-4.3-4.3.8_92456_fedora18-1.i686 需要
	libcrypt.so.1 被 VirtualBox-4.3-4.3.8_92456_fedora18-1.i686 需要
	libcrypt.so.1(GLIBC_2.0) 被 VirtualBox-4.3-4.3.8_92456_fedora18-1.i686 需要
	libcrypto.so.10 被 VirtualBox-4.3-4.3.8_92456_fedora18-1.i686 需要
	libcrypto.so.10(libcrypto.so.10) 被 VirtualBox-4.3-4.3.8_92456_fedora18-1.i686 需要
	libcurl.so.4 被 VirtualBox-4.3-4.3.8_92456_fedora18-1.i686 需要
	libdevmapper.so.1.02 被 VirtualBox-4.3-4.3.8_92456_fedora18-1.i686 需要
	libdevmapper.so.1.02(Base) 被 VirtualBox-4.3-4.3.8_92456_fedora18-1.i686 需要
	libdl.so.2 被 VirtualBox-4.3-4.3.8_92456_fedora18-1.i686 需要
	libdl.so.2(GLIBC_2.0) 被 VirtualBox-4.3-4.3.8_92456_fedora18-1.i686 需要
	libdl.so.2(GLIBC_2.1) 被 VirtualBox-4.3-4.3.8_92456_fedora18-1.i686 需要
	libgcc_s.so.1 被 VirtualBox-4.3-4.3.8_92456_fedora18-1.i686 需要
	libgcc_s.so.1(GCC_3.0) 被 VirtualBox-4.3-4.3.8_92456_fedora18-1.i686 需要
	libgcc_s.so.1(GLIBC_2.0) 被 VirtualBox-4.3-4.3.8_92456_fedora18-1.i686 需要
	libm.so.6 被 VirtualBox-4.3-4.3.8_92456_fedora18-1.i686 需要
	libm.so.6(GLIBC_2.0) 被 VirtualBox-4.3-4.3.8_92456_fedora18-1.i686 需要
	libm.so.6(GLIBC_2.1) 被 VirtualBox-4.3-4.3.8_92456_fedora18-1.i686 需要
	libpng15.so.15 被 VirtualBox-4.3-4.3.8_92456_fedora18-1.i686 需要
	libpng15.so.15(PNG15_0) 被 VirtualBox-4.3-4.3.8_92456_fedora18-1.i686 需要
	libpthread.so.0 被 VirtualBox-4.3-4.3.8_92456_fedora18-1.i686 需要
	libpthread.so.0(GLIBC_2.0) 被 VirtualBox-4.3-4.3.8_92456_fedora18-1.i686 需要
	libpthread.so.0(GLIBC_2.1) 被 VirtualBox-4.3-4.3.8_92456_fedora18-1.i686 需要
	libpthread.so.0(GLIBC_2.2) 被 VirtualBox-4.3-4.3.8_92456_fedora18-1.i686 需要
	libpthread.so.0(GLIBC_2.3.2) 被 VirtualBox-4.3-4.3.8_92456_fedora18-1.i686 需要
	libpthread.so.0(GLIBC_2.3.3) 被 VirtualBox-4.3-4.3.8_92456_fedora18-1.i686 需要
	libpthread.so.0(GLIBC_2.3.4) 被 VirtualBox-4.3-4.3.8_92456_fedora18-1.i686 需要
	libpython2.7.so.1.0 被 VirtualBox-4.3-4.3.8_92456_fedora18-1.i686 需要
	librt.so.1 被 VirtualBox-4.3-4.3.8_92456_fedora18-1.i686 需要
	librt.so.1(GLIBC_2.2) 被 VirtualBox-4.3-4.3.8_92456_fedora18-1.i686 需要
	libssl.so.10 被 VirtualBox-4.3-4.3.8_92456_fedora18-1.i686 需要
	libssl.so.10(libssl.so.10) 被 VirtualBox-4.3-4.3.8_92456_fedora18-1.i686 需要
	libstdc++.so.6 被 VirtualBox-4.3-4.3.8_92456_fedora18-1.i686 需要
	libstdc++.so.6(CXXABI_1.3) 被 VirtualBox-4.3-4.3.8_92456_fedora18-1.i686 需要
	libstdc++.so.6(CXXABI_1.3.1) 被 VirtualBox-4.3-4.3.8_92456_fedora18-1.i686 需要
	libstdc++.so.6(GLIBCXX_3.4) 被 VirtualBox-4.3-4.3.8_92456_fedora18-1.i686 需要
	libstdc++.so.6(GLIBCXX_3.4.11) 被 VirtualBox-4.3-4.3.8_92456_fedora18-1.i686 需要
	libstdc++.so.6(GLIBCXX_3.4.15) 被 VirtualBox-4.3-4.3.8_92456_fedora18-1.i686 需要
	libstdc++.so.6(GLIBCXX_3.4.9) 被 VirtualBox-4.3-4.3.8_92456_fedora18-1.i686 需要
	libvpx.so.1 被 VirtualBox-4.3-4.3.8_92456_fedora18-1.i686 需要
	libxml2.so.2 被 VirtualBox-4.3-4.3.8_92456_fedora18-1.i686 需要
	libxml2.so.2(LIBXML2_2.4.30) 被 VirtualBox-4.3-4.3.8_92456_fedora18-1.i686 需要
	libxml2.so.2(LIBXML2_2.6.0) 被 VirtualBox-4.3-4.3.8_92456_fedora18-1.i686 需要
	libxml2.so.2(LIBXML2_2.6.8) 被 VirtualBox-4.3-4.3.8_92456_fedora18-1.i686 需要
	libz.so.1 被 VirtualBox-4.3-4.3.8_92456_fedora18-1.i686 需要
我去年买了个表啊!!!这么多的库文件却是难道要我一个一个手打安装???? 各种Baidu\Google。然后。被我发现了一个好发方法。。 双击打开!! 然后他会自己安装这些关联关系的软件包。 是不是要喷?开头我就说了很狗血的~ -------------我是分割线------------------------ 安装完成,打开。报错 不能为虚拟电脑 XP 打开一个新任务. The virtual machine 'XP' has terminated unexpectedly during startup with exit code 1. RTR3InitEx failed with rc=-1912 (rc=-1912) The VirtualBox kernel modules do not match this version of VirtualBox. The installation of VirtualBox was apparently not successful. Executing '/etc/init.d/vboxdrv setup' may correct this. Make sure that you do not mix the OSE version and the PUEL version of VirtualBox. 按照提示输入/etc/init.d/vboxdrv setup都提示OK了也没有用啊。 搜索的解决方法
sudo yum install kernel-devel
sudo yum install gcc
sudo /etc/init.d/vboxdrv setup
再次打开,还是不可以,报同样的错。 继续搜索~ 来了个狠的,更新系统
sudo yum -y update
sudo /etc/init.d/vboxdrv setup
Stopping VirtualBox kernel modules                         [  OK  ] Uninstalling old VirtualBox DKMS kernel modules            [  OK  ] Removing old VirtualBox kernel module                      [  OK  ] Trying to register the VirtualBox kernel modules using DKMS[  OK  ] Starting VirtualBox kernel modules                         [  OK  ] 好了。可以了哦

©2014 www.lanecn.com , All rights reserved. Power By Li Xuan.  京ICP备14005030号